<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/13/2006 *
 * ===================                          Last change: 01/13/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : action-logout.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Logout menu point                                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ausloggen-Menuepunkt                             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isPostRequestElementSet('no')) {
	// Do not logout now
	redirectToUrl('admin.php');
} elseif ((isPostRequestElementSet('yes')) && (getAction() == 'logout')) {
	// Redirect to logout link
	redirectToUrl('modules.php?module=admin&amp;logout=1');
}

// Load logout form template
loadTemplate('admin_logout_form');

// [EOF]
?>
